StringArrayConfigOption (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.config.StringArrayConfigOption class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.config
Class StringArrayConfigOption

    java.lang.Object
      org.hyperic.util.config.ConfigOption
          org.hyperic.util.config.ArrayConfigOption
              org.hyperic.util.config.StringArrayConfigOption

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class StringArrayConfigOption

extends ArrayConfigOption
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static char` | `DELIM`
`static java.lang.String` | `DELIM_STR`

Constructor Summary
`StringArrayConfigOption(java.lang.String optName, java.lang.String optDesc, java.lang.String defValue)`

Method Summary
`void` | `checkOptionIsValid(java.lang.String value)`

Methods inherited from class org.hyperic.util.config.ArrayConfigOption
`getDelim, setDelim`

Methods inherited from class org.hyperic.util.config.ConfigOption
`copy, equals, getCategory, getConfirm, getDefault, getDescription, getName, hashCode, invalidOption, isOptional, setCategory, setConfirm, setDefault, setDescription, setName, setOptional, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DELIM

    public static final char DELIM

See Also:
  Constant Field Values

### DELIM_STR

    public static final java.lang.String DELIM_STR

See Also:
  Constant Field Values

Constructor Detail

### StringArrayConfigOption

    public StringArrayConfigOption(java.lang.String optName,
                                   java.lang.String optDesc,
                                   java.lang.String defValue)

Method Detail

### checkOptionIsValid

    public void checkOptionIsValid(java.lang.String value)
                            throws InvalidOptionValueException

  Specified by:
    `checkOptionIsValid` in class `ConfigOption`
  Throws:
    `InvalidOptionValueException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.